Subject: Re: [PATCH 7/8] odb: read alternates via sources

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 10 Dec 2025 06:54:02 +0100

On Tue, Dec 09, 2025 at 11:49:55AM -0600, Justin Tobler wrote:
> Question: the interface of odb_source_read_alternates() still expects
> parsed alternates to be written to the output strvec. The sources don't
> get added to the ODB source list until odb_add_source() is invoked on
> the source. Does this mean odb_add_source() will have to be able to
> handle various different types of ODB sources? If so, will these be
> differentiated by some sort of URI?

Yes, exactly. The plan is to use syntax like "files://path" or
"postgres://127.0.0.1:5432?database=myrepo". See also the discussion in
[1].

Patrick

[1]: <[email-masked]>